Subject: Re: [bug#36630] [PATCH] guix: parallelize building the manual-database
From: Ludovic Courtès <[email-masked]>
To: Arne Babenhauserheide <[email-masked]>
Cc: [email-masked]
Date: Tue, 31 Mar 2020 15:02:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Arne,

Arne Babenhauserheide <[email-masked]> skribis:

> I now reduced the thread count to exactly 2 (to avoid running into
> resource troubles; I hope that two should be safe) and added a mutex for
> status messages to ensure that writes don’t overlap.

It’s been 9 months but I finally committed a slightly modified variant
as ef4b5f2fed3ca13a0e15a821ba7e561cd4395aa6.  It turns out that the
mutex was unnecessary as ports are thread-safe.

As noted in the log, I see a 36% speedup on my SSD laptop with 4 cores
(slightly less with 2 cores).  It’s not great, but still an improvement!

Thanks,
Ludo’.